Bug 830431 - [abrt] python-2.7.3-6.fc17: PyEval_EvalFrameEx: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-6.fc17: PyEval_EvalFrameEx: Process /usr/bin/python2.7 wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:70e7edad7308b51b54f780ec359...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-09 09:59 EDT by Tim Hughes
Modified: 2013-07-31 15:21 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:21:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.51 KB, text/plain)
2012-06-09 09:59 EDT, Tim Hughes
no flags Details
File: maps (70.87 KB, text/plain)
2012-06-09 09:59 EDT, Tim Hughes
no flags Details
File: dso_list (14.45 KB, text/plain)
2012-06-09 09:59 EDT, Tim Hughes
no flags Details
File: build_ids (5.93 KB, text/plain)
2012-06-09 09:59 EDT, Tim Hughes
no flags Details

  None (edit)
Description Tim Hughes 2012-06-09 09:59:41 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/terminator
comment:        moving a child terminal 
crash_function: PyEval_EvalFrameEx
executable:     /usr/bin/python2.7
kernel:         3.3.7-1.fc17.x86_64
pid:            2027
pwd:            /home/tim
time:           Sat 09 Jun 2012 14:51:13 BST
uid:            1000
username:       tim
xsession_errors: 

backtrace:      Text file, 31242 bytes
build_ids:      Text file, 6068 bytes
dso_list:       Text file, 14793 bytes
maps:           Text file, 72571 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/tim/2

core_backtrace:
:- 0x0 - - -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xd84c9 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x6d7b6 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x58090 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xd71d7 PyEval_CallObjectWithKeywords libpython2.7.so.1.0 -
:23683743d4ccdb596fb31004a6f6ac73d055d07e 0x18bd1 - _gobject.so -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x29efd4 - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x29eb55 - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14afc3 gtk_main_do_event libgtk-x11-2.0.so.0 -
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd 0x611cc - libgdk-x11-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x149d67 gtk_main libgtk-x11-2.0.so.0 -
:e4ee09219dd69e5a1f6b06fb78c7488a3a6260df 0x1a65a8 - _gtk.so -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdce46 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddc02 PyEval_EvalCode libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf6baa - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf79a2 PyRun_FileExFlags libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf83bb PyRun_SimpleFileExFlags libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x109892 Py_Main libpython2.7.so.1.0 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:VIRTUALENVWRAPPER_PROJECT_FILENAME=.project
:HOSTNAME=titanium.co.goldfish
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/tim/keyring-XChLul
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=tim
:USERNAME=tim
:WORKON_HOME=/home/tim/.virtualenvs
:PROJECT_HOME=/home/tim/PROJECTS
:MAIL=/var/spool/mail/tim
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/tim/bin
:DESKTOP_SESSION=gnome
:VIRTUALENVWRAPPER_HOOK_DIR=/home/tim/.virtualenvs
:QT_IM_MODULE=xim
:PWD=/home/tim
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1266
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/tim
:SHLVL=1
:LOGNAME=tim
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-bmtfeIJzMc,guid=e22f08ae76a362ee921f841500000043
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/tim
:DISPLAY=:0
:VIRTUALENVWRAPPER_LOG_DIR=/home/tim/.virtualenvs
:XAUTHORITY=/var/run/gdm/auth-for-tim-RFugwe/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1270,unix/unix:/tmp/.ICE-unix/1270
:GPG_AGENT_INFO=/run/user/tim/keyring-XChLul/gpg:0:1
:SSH_AUTH_SOCK=/run/user/tim/keyring-XChLul/ssh
:LC_TIME=en_GB.utf8
:LC_NUMERIC=en_GB.utf8
:LC_MONETARY=en_GB.utf8
:LC_MEASUREMENT=en_GB.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/terminator.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2027
:DESKTOP_STARTUP_ID=gnome-shell-1464-titanium.co.goldfish-terminator-0_TIME253792

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62625                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62625                62625                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/tim/.xsession-errors
:pos:	9079
:flags:	0102002
:2:/home/tim/.xsession-errors
:pos:	9079
:flags:	0102002
:3:socket:[40163]
:pos:	0
:flags:	02000002
:4:socket:[36568]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[40155]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[36570]
:pos:	0
:flags:	02004002
:9:socket:[36587]
:pos:	0
:flags:	02004002
:10:socket:[36593]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:pipe:[40162]
:pos:	0
:flags:	00
:13:pipe:[40162]
:pos:	0
:flags:	04001
:14:/dev/urandom
:pos:	0
:flags:	02100000
:15:anon_inode:inotify
:pos:	0
:flags:	02004000

var_log_messages:
:Jun  9 14:51:13 titanium kernel: [ 6088.617626] /usr/bin/termin[2027]: segfault at 0 ip           (null) sp 00007fff50087bc8 error 14 in python2.7[400000+1000]
:Jun  9 14:51:14 titanium abrt[15940]: Saved core dump of pid 2027 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-09-14:51:13-2027 (38359040 bytes)
Comment 1 Tim Hughes 2012-06-09 09:59:46 EDT
Created attachment 590609 [details]
File: backtrace
Comment 2 Tim Hughes 2012-06-09 09:59:48 EDT
Created attachment 590610 [details]
File: maps
Comment 3 Tim Hughes 2012-06-09 09:59:50 EDT
Created attachment 590611 [details]
File: dso_list
Comment 4 Tim Hughes 2012-06-09 09:59:52 EDT
Created attachment 590612 [details]
File: build_ids
Comment 5 Chris Ward 2012-08-02 04:06:12 EDT
re-arranging terminals in 'terminator' console application

backtrace_rating: 4
Package: python-2.7.3-6.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 pankaj pandey 2012-10-03 04:17:29 EDT
Start terminator and split window into multiple shells. try dragging a shell to dock it to another area.

backtrace_rating: 4
Package: python-2.7.3-7.2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Ralf Oltmanns 2012-11-23 05:37:24 EST
I tried to move a sub window in a 2-column-shell window from right to left (switch positions of the two shell windows) which crashed terminator

backtrace_rating: 4
Package: python-2.7.3-7.2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Rafi Baig 2012-12-02 18:57:35 EST
I tried to open the pychess package... it crashed

backtrace_rating: 4
Package: python-2.7.3-7.2.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Fedora Admin XMLRPC Client 2013-05-10 00:59:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2013-05-10 01:01:15 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2013-05-10 01:04:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2013-05-10 01:12:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora Admin XMLRPC Client 2013-05-10 01:13:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora End Of Life 2013-07-03 16:04:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-07-31 15:21:36 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.